com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectWaterMark.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffectWaterMark.Builder

- Enclosing class:
    TrackEffectWaterMark

      public static final class TrackEffectWaterMark.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackEffectWaterMark` | `build()` 构建音频流对象
    `TrackEffectWaterMark.Builder` | `setHeightRatio(float heightRatio)` 设置高的比例值
    `TrackEffectWaterMark.Builder` | `setWidthRatio(float widthRatio)` 设置宽的比例值
    `TrackEffectWaterMark.Builder` | `setXRadio(float xRatio)` 设置x坐标的比例值
    `TrackEffectWaterMark.Builder` | `setYRatio(float yRatio)` 设置y坐标的比例值
    `TrackEffectWaterMark.Builder` | `source(Source source)` 设置资源路径

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public TrackEffectWaterMark.Builder source(Source source)

      设置资源路径
      Parameters:
        `source` - 资源路径
      Returns:

    - #### setXRadio

          public TrackEffectWaterMark.Builder setXRadio(float xRatio)

      设置x坐标的比例值
      Parameters:
        `xRatio` - 比例值 [0 - 1]
      Returns:
        this

    - #### setYRatio

          public TrackEffectWaterMark.Builder setYRatio(float yRatio)

      设置y坐标的比例值
      Parameters:
        `yRatio` - 比例值 [0 - 1]
      Returns:
        this

    - #### setWidthRatio

          public TrackEffectWaterMark.Builder setWidthRatio(float widthRatio)

      设置宽的比例值
      Parameters:
        `widthRatio` - 宽比例 [0 - 1]
      Returns:
        this

    - #### setHeightRatio

          public TrackEffectWaterMark.Builder setHeightRatio(float heightRatio)

      设置高的比例值
      Parameters:
        `heightRatio` - 高比例 [0 - 1]
      Returns:
        this

    - #### build

          public TrackEffectWaterMark build()

      构建音频流对象
      Returns:
        `TrackEffectWaterMark`